/* (C) 2021 YiRing, Inc. */
package com.yiring.common.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 键值对输出
 *
 * @author ifzm
 * @version 0.1
 * 2022/3/24 17:29
 */

@Schema(name = "KeyValueVo", description = "键值对响应输出")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class KeyValueVo implements Serializable {

    @Serial
    private static final long serialVersionUID = -5238793972067296346L;

    @Schema(description = "key", example = "key")
    String key;

    @Schema(description = "value", example = "value")
    String value;

    /**
     * 扩展字段，可用于文本输出
     */
    @Schema(description = "label", example = "label")
    String label;

    /**
     * 扩展字段，可用于显示禁用状态
     */
    @Schema(description = "是否启用", example = "true")
    String enable;
}
